// Package docs Code generated by swaggo/swag. DO NOT EDIT
package docs

import "github.com/swaggo/swag"

const docTemplate = `{
    "schemes": {{ marshal .Schemes }},
    "swagger": "2.0",
    "info": {
        "description": "{{escape .Description}}",
        "title": "{{.Title}}",
        "termsOfService": "http://swagger.io/terms/",
        "contact": {
            "name": "dengbiao",
            "url": "http://www.swagger.io/support",
            "email": "1239118001@qq.com"
        },
        "license": {
            "name": "Apache 2.0",
            "url": "http://www.apache.org/licenses/LICENSE-2.0.html"
        },
        "version": "{{.Version}}"
    },
    "host": "{{.Host}}",
    "basePath": "{{.BasePath}}",
    "paths": {
        "/api/v1/addFriend/basalRate": {
            "get": {
                "description": "基础速率(获取)",
                "consumes": [
                    "application/json"
                ],
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "添加好友"
                ],
                "summary": "蛋蛋星球-添加好友-基础速率(获取)",
                "parameters": [
                    {
                        "type": "string",
                        "description": "验证参数Bearer和token空格拼接",
                        "name": "Authorization",
                        "in": "header",
                        "required": true
                    }
                ],
                "responses": {
                    "200": {
                        "description": "具体数据",
                        "schema": {
                            "$ref": "#/definitions/md.BasalRateResp"
                        }
                    },
                    "400": {
                        "description": "具体错误",
                        "schema": {
                            "$ref": "#/definitions/md.Response"
                        }
                    }
                }
            }
        },
        "/api/v1/addFriend/eggEnergyDetails": {
            "post": {
                "description": "蛋蛋能量明细(获取)",
                "consumes": [
                    "application/json"
                ],
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "添加好友"
                ],
                "summary": "蛋蛋星球-添加好友-蛋蛋能量明细(获取)",
                "parameters": [
                    {
                        "type": "string",
                        "description": "验证参数Bearer和token空格拼接",
                        "name": "Authorization",
                        "in": "header",
                        "required": true
                    },
                    {
                        "description": "分页类型必填",
                        "name": "req",
                        "in": "body",
                        "required": true,
                        "schema": {
                            "$ref": "#/definitions/md.EggEnergyDetailReq"
                        }
                    }
                ],
                "responses": {
                    "200": {
                        "description": "具体数据",
                        "schema": {
                            "$ref": "#/definitions/md.EggEnergyDetailResp"
                        }
                    },
                    "400": {
                        "description": "具体错误",
                        "schema": {
                            "$ref": "#/definitions/md.Response"
                        }
                    }
                }
            }
        },
        "/api/v1/addFriend/eggPointDetails": {
            "post": {
                "description": "蛋蛋积分明细(获取)",
                "consumes": [
                    "application/json"
                ],
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "添加好友"
                ],
                "summary": "蛋蛋星球-添加好友-蛋蛋积分明细(获取)",
                "parameters": [
                    {
                        "type": "string",
                        "description": "验证参数Bearer和token空格拼接",
                        "name": "Authorization",
                        "in": "header",
                        "required": true
                    },
                    {
                        "description": "分页类型必填",
                        "name": "req",
                        "in": "body",
                        "required": true,
                        "schema": {
                            "$ref": "#/definitions/md.EggPointDetailsReq"
                        }
                    }
                ],
                "responses": {
                    "200": {
                        "description": "具体数据",
                        "schema": {
                            "$ref": "#/definitions/md.EggPointDetailsResp"
                        }
                    },
                    "400": {
                        "description": "具体错误",
                        "schema": {
                            "$ref": "#/definitions/md.Response"
                        }
                    }
                }
            }
        },
        "/api/v1/addFriend/myFans": {
            "get": {
                "description": "团队加速速率(获取)",
                "consumes": [
                    "application/json"
                ],
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "添加好友"
                ],
                "summary": "蛋蛋星球-添加好友-粉丝团队-我的粉丝-团队加速速率(获取)",
                "parameters": [
                    {
                        "type": "string",
                        "description": "验证参数Bearer和token空格拼接",
                        "name": "Authorization",
                        "in": "header",
                        "required": true
                    }
                ],
                "responses": {
                    "200": {
                        "description": "具体数据",
                        "schema": {
                            "$ref": "#/definitions/md.MyFansResp"
                        }
                    },
                    "400": {
                        "description": "具体错误",
                        "schema": {
                            "$ref": "#/definitions/md.Response"
                        }
                    }
                }
            }
        },
        "/api/v1/addFriend/myFansUserList": {
            "get": {
                "description": "在线好友列表(获取)",
                "consumes": [
                    "application/json"
                ],
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "添加好友"
                ],
                "summary": "蛋蛋星球-添加好友-粉丝团队-我的粉丝-在线好友列表(获取)",
                "parameters": [
                    {
                        "type": "string",
                        "description": "验证参数Bearer和token空格拼接",
                        "name": "Authorization",
                        "in": "header",
                        "required": true
                    },
                    {
                        "type": "integer",
                        "description": "每页大小",
                        "name": "limit",
                        "in": "query",
                        "required": true
                    },
                    {
                        "type": "integer",
                        "description": "页数",
                        "name": "page",
                        "in": "query",
                        "required": true
                    }
                ],
                "responses": {
                    "200": {
                        "description": "具体数据",
                        "schema": {
                            "$ref": "#/definitions/md.MyFansUserListResp"
                        }
                    },
                    "400": {
                        "description": "具体错误",
                        "schema": {
                            "$ref": "#/definitions/md.Response"
                        }
                    }
                }
            }
        },
        "/api/v1/addFriend/nineDimensionalSpace": {
            "get": {
                "description": "九维空间(获取)",
                "consumes": [
                    "application/json"
                ],
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "添加好友"
                ],
                "summary": "蛋蛋星球-添加好友-粉丝团队-九维空间(获取)",
                "parameters": [
                    {
                        "type": "string",
                        "description": "验证参数Bearer和token空格拼接",
                        "name": "Authorization",
                        "in": "header",
                        "required": true
                    }
                ],
                "responses": {
                    "200": {
                        "description": "具体数据",
                        "schema": {
                            "$ref": "#/definitions/md.NineDimensionalSpaceResp"
                        }
                    },
                    "400": {
                        "description": "具体错误",
                        "schema": {
                            "$ref": "#/definitions/md.Response"
                        }
                    }
                }
            }
        },
        "/api/v1/addFriend/totalRate": {
            "get": {
                "description": "总速率(获取)",
                "consumes": [
                    "application/json"
                ],
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "添加好友"
                ],
                "summary": "蛋蛋星球-添加好友-总速率(获取)",
                "parameters": [
                    {
                        "type": "string",
                        "description": "验证参数Bearer和token空格拼接",
                        "name": "Authorization",
                        "in": "header",
                        "required": true
                    }
                ],
                "responses": {
                    "200": {
                        "description": "具体数据",
                        "schema": {
                            "$ref": "#/definitions/md.TotalRateResp"
                        }
                    },
                    "400": {
                        "description": "具体错误",
                        "schema": {
                            "$ref": "#/definitions/md.Response"
                        }
                    }
                }
            }
        },
        "/api/v1/advertising": {
            "get": {
                "description": "广告位",
                "consumes": [
                    "application/json"
                ],
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "广告位"
                ],
                "summary": "广告位",
                "parameters": [
                    {
                        "type": "string",
                        "description": "验证参数Bearer和token空格拼接",
                        "name": "Authorization",
                        "in": "header",
                        "required": true
                    }
                ],
                "responses": {
                    "200": {
                        "description": "具体数据",
                        "schema": {
                            "$ref": "#/definitions/md.AdvertisingResp"
                        }
                    },
                    "400": {
                        "description": "具体错误",
                        "schema": {
                            "$ref": "#/definitions/md.Response"
                        }
                    }
                }
            }
        },
        "/api/v1/advertising/detail": {
            "post": {
                "description": "广告位详情",
                "consumes": [
                    "application/json"
                ],
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "广告位详情"
                ],
                "summary": "广告位详情",
                "parameters": [
                    {
                        "type": "string",
                        "description": "验证参数Bearer和token空格拼接",
                        "name": "Authorization",
                        "in": "header",
                        "required": true
                    },
                    {
                        "description": "注册参数",
                        "name": "req",
                        "in": "body",
                        "required": true,
                        "schema": {
                            "$ref": "#/definitions/md.AdvertisingReq"
                        }
                    }
                ],
                "responses": {
                    "200": {
                        "description": "具体数据",
                        "schema": {
                            "$ref": "#/definitions/md.AdvertisingSpace"
                        }
                    },
                    "400": {
                        "description": "具体错误",
                        "schema": {
                            "$ref": "#/definitions/md.Response"
                        }
                    }
                }
            }
        },
        "/api/v1/comm/accessRecords": {
            "post": {
                "description": "页面记录",
                "consumes": [
                    "application/json"
                ],
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "访问记录"
                ],
                "summary": "通用请求-访问记录-页面记录",
                "parameters": [
                    {
                        "type": "string",
                        "description": "验证参数Bearer和token空格拼接",
                        "name": "Authorization",
                        "in": "header",
                        "required": true
                    },
                    {
                        "description": "页面标识",
                        "name": "req",
                        "in": "body",
                        "required": true,
                        "schema": {
                            "$ref": "#/definitions/comm.AccessRecordsReq"
                        }
                    }
                ],
                "responses": {
                    "200": {
                        "description": "data exist",
                        "schema": {
                            "type": "string"
                        }
                    },
                    "400": {
                        "description": "具体错误",
                        "schema": {
                            "$ref": "#/definitions/md.Response"
                        }
                    }
                }
            }
        },
        "/api/v1/comm/getOssUrl": {
            "get": {
                "description": "上传许可链接(获取)",
                "consumes": [
                    "application/json"
                ],
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "对象存储"
                ],
                "summary": "通用请求-对象存储-上传许可链接(获取)",
                "parameters": [
                    {
                        "type": "string",
                        "description": "验证参数Bearer和token空格拼接",
                        "name": "Authorization",
                        "in": "header",
                        "required": true
                    }
                ],
                "responses": {
                    "200": {
                        "description": "许可链接",
                        "schema": {
                            "type": "string"
                        }
                    },
                    "400": {
                        "description": "具体错误",
                        "schema": {
                            "$ref": "#/definitions/md.Response"
                        }
                    }
                }
            }
        },
        "/api/v1/config": {
            "get": {
                "description": "基本配置",
                "consumes": [
                    "application/json"
                ],
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "基本配置"
                ],
                "summary": "基本配置",
                "parameters": [
                    {
                        "type": "string",
                        "description": "验证参数Bearer和token空格拼接",
                        "name": "Authorization",
                        "in": "header",
                        "required": true
                    }
                ],
                "responses": {
                    "200": {
                        "description": "具体数据",
                        "schema": {
                            "$ref": "#/definitions/md.ConfigResp"
                        }
                    },
                    "400": {
                        "description": "具体错误",
                        "schema": {
                            "$ref": "#/definitions/md.Response"
                        }
                    }
                }
            }
        },
        "/api/v1/fastLogin": {
            "post": {
                "description": "一键登录",
                "consumes": [
                    "application/json"
                ],
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "一键登录"
                ],
                "summary": "一键登录",
                "parameters": [
                    {
                        "description": "注册参数",
                        "name": "req",
                        "in": "body",
                        "required": true,
                        "schema": {
                            "$ref": "#/definitions/md.FastLoginReq"
                        }
                    }
                ],
                "responses": {
                    "200": {
                        "description": "登录成功返回",
                        "schema": {
                            "$ref": "#/definitions/md.LoginResponse"
                        }
                    },
                    "400": {
                        "description": "具体错误",
                        "schema": {
                            "$ref": "#/definitions/md.Response"
                        }
                    }
                }
            }
        },
        "/api/v1/findPassword": {
            "post": {
                "description": "注册",
                "consumes": [
                    "application/json"
                ],
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "注册"
                ],
                "summary": "注册",
                "parameters": [
                    {
                        "description": "注册参数",
                        "name": "req",
                        "in": "body",
                        "required": true,
                        "schema": {
                            "$ref": "#/definitions/md.FindPasswordReq"
                        }
                    }
                ],
                "responses": {
                    "200": {
                        "description": "登录成功返回",
                        "schema": {
                            "type": "string"
                        }
                    },
                    "400": {
                        "description": "具体错误",
                        "schema": {
                            "$ref": "#/definitions/md.Response"
                        }
                    }
                }
            }
        },
        "/api/v1/homePage/adRule": {
            "get": {
                "description": "视频奖励规则(获取)",
                "consumes": [
                    "application/json"
                ],
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "主页"
                ],
                "summary": "蛋蛋星球-主页-视频奖励规则(获取)",
                "parameters": [
                    {
                        "type": "string",
                        "description": "验证参数Bearer和token空格拼接",
                        "name": "Authorization",
                        "in": "header",
                        "required": true
                    }
                ],
                "responses": {
                    "200": {
                        "description": "具体数据",
                        "schema": {
                            "$ref": "#/definitions/md.HomePageWatchAdRuleResp"
                        }
                    },
                    "400": {
                        "description": "具体错误",
                        "schema": {
                            "$ref": "#/definitions/md.Response"
                        }
                    }
                }
            }
        },
        "/api/v1/homePage/index": {
            "get": {
                "description": "基础信息(获取)",
                "consumes": [
                    "application/json"
                ],
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "主页"
                ],
                "summary": "蛋蛋星球-主页-基础信息(获取)",
                "parameters": [
                    {
                        "type": "string",
                        "description": "验证参数Bearer和token空格拼接",
                        "name": "Authorization",
                        "in": "header",
                        "required": true
                    }
                ],
                "responses": {
                    "200": {
                        "description": "具体数据",
                        "schema": {
                            "$ref": "#/definitions/md.HomePageResp"
                        }
                    },
                    "400": {
                        "description": "具体错误",
                        "schema": {
                            "$ref": "#/definitions/md.Response"
                        }
                    }
                }
            }
        },
        "/api/v1/homePage/isCanGetRedPackage": {
            "get": {
                "description": "是否可以领取红包(获取)",
                "consumes": [
                    "application/json"
                ],
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "主页"
                ],
                "summary": "蛋蛋星球-主页-是否领取红包(获取)",
                "parameters": [
                    {
                        "type": "string",
                        "description": "验证参数Bearer和token空格拼接",
                        "name": "Authorization",
                        "in": "header",
                        "required": true
                    }
                ],
                "responses": {
                    "200": {
                        "description": "具体数据",
                        "schema": {
                            "$ref": "#/definitions/md.IsCanGetRedPackageResp"
                        }
                    },
                    "400": {
                        "description": "具体错误",
                        "schema": {
                            "$ref": "#/definitions/md.Response"
                        }
                    }
                }
            }
        },
        "/api/v1/homePage/isCanSignIn": {
            "get": {
                "description": "是否可以签到(获取)",
                "consumes": [
                    "application/json"
                ],
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "主页"
                ],
                "summary": "蛋蛋星球-主页-是否能签到(获取)",
                "parameters": [
                    {
                        "type": "string",
                        "description": "验证参数Bearer和token空格拼接",
                        "name": "Authorization",
                        "in": "header",
                        "required": true
                    }
                ],
                "responses": {
                    "200": {
                        "description": "具体数据",
                        "schema": {
                            "$ref": "#/definitions/md.IsCanSignInResp"
                        }
                    },
                    "400": {
                        "description": "具体错误",
                        "schema": {
                            "$ref": "#/definitions/md.Response"
                        }
                    }
                }
            }
        },
        "/api/v1/homePage/realTimePrice": {
            "get": {
                "description": "实时数据(获取)",
                "consumes": [
                    "application/json"
                ],
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "主页"
                ],
                "summary": "蛋蛋星球-主页-实时数据(获取)",
                "parameters": [
                    {
                        "type": "string",
                        "description": "验证参数Bearer和token空格拼接",
                        "name": "Authorization",
                        "in": "header",
                        "required": true
                    }
                ],
                "responses": {
                    "200": {
                        "description": "具体数据",
                        "schema": {
                            "$ref": "#/definitions/md.RealTimePriceResp"
                        }
                    },
                    "400": {
                        "description": "具体错误",
                        "schema": {
                            "$ref": "#/definitions/md.Response"
                        }
                    }
                }
            }
        },
        "/api/v1/im/redPackageDetail": {
            "get": {
                "description": "红包详情(获取)",
                "consumes": [
                    "application/json"
                ],
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "即时通讯"
                ],
                "summary": "蛋蛋星球-即时通讯-红包详情(获取)",
                "parameters": [
                    {
                        "type": "string",
                        "description": "验证参数Bearer和token空格拼接",
                        "name": "Authorization",
                        "in": "header",
                        "required": true
                    },
                    {
                        "type": "string",
                        "description": "红包 ID",
                        "name": "red_package_id",
                        "in": "query",
                        "required": true
                    }
                ],
                "responses": {
                    "200": {
                        "description": "具体数据",
                        "schema": {
                            "$ref": "#/definitions/md.RedPackageDetailResp"
                        }
                    },
                    "400": {
                        "description": "具体错误",
                        "schema": {
                            "$ref": "#/definitions/md.Response"
                        }
                    }
                }
            }
        },
        "/api/v1/im/user/grabRedPackage": {
            "post": {
                "description": "领取红包",
                "consumes": [
                    "application/json"
                ],
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "即时通讯"
                ],
                "summary": "蛋蛋星球-即时通讯-领取红包",
                "parameters": [
                    {
                        "type": "string",
                        "description": "验证参数Bearer和token空格拼接",
                        "name": "Authorization",
                        "in": "header",
                        "required": true
                    },
                    {
                        "description": "领取红包信息",
                        "name": "req",
                        "in": "body",
                        "required": true,
                        "schema": {
                            "$ref": "#/definitions/md.GrabRedPackageReq"
                        }
                    }
                ],
                "responses": {
                    "200": {
                        "description": "具体数据",
                        "schema": {
                            "$ref": "#/definitions/md.GrabRedPackageResp"
                        }
                    },
                    "400": {
                        "description": "具体错误",
                        "schema": {
                            "$ref": "#/definitions/md.Response"
                        }
                    }
                }
            }
        },
        "/api/v1/im/user/sendRedPackageDetail": {
            "post": {
                "description": "发送红包",
                "consumes": [
                    "application/json"
                ],
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "即时通讯"
                ],
                "summary": "蛋蛋星球-即时通讯-发送红包",
                "parameters": [
                    {
                        "type": "string",
                        "description": "验证参数Bearer和token空格拼接",
                        "name": "Authorization",
                        "in": "header",
                        "required": true
                    },
                    {
                        "description": "红包的订单 ID",
                        "name": "req",
                        "in": "body",
                        "required": true,
                        "schema": {
                            "$ref": "#/definitions/md.SendRedPackageDetailReq"
                        }
                    }
                ],
                "responses": {
                    "200": {
                        "description": "具体数据",
                        "schema": {
                            "$ref": "#/definitions/md.SendRedPackageDetailResp"
                        }
                    },
                    "400": {
                        "description": "具体错误",
                        "schema": {
                            "$ref": "#/definitions/md.Response"
                        }
                    }
                }
            }
        },
        "/api/v1/login": {
            "post": {
                "description": "登入",
                "consumes": [
                    "application/json"
                ],
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "登录"
                ],
                "summary": "登陆",
                "parameters": [
                    {
                        "description": "用户名密码",
                        "name": "req",
                        "in": "body",
                        "required": true,
                        "schema": {
                            "$ref": "#/definitions/md.LoginReq"
                        }
                    }
                ],
                "responses": {
                    "200": {
                        "description": "token",
                        "schema": {
                            "$ref": "#/definitions/md.LoginResponse"
                        }
                    },
                    "400": {
                        "description": "具体错误",
                        "schema": {
                            "$ref": "#/definitions/md.Response"
                        }
                    }
                }
            }
        },
        "/api/v1/memberCenter/getBasic": {
            "get": {
                "description": "基础数据(获取)",
                "consumes": [
                    "application/json"
                ],
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "会员中心"
                ],
                "summary": "蛋蛋星球-会员中心-基础数据(获取)",
                "parameters": [
                    {
                        "type": "string",
                        "description": "验证参数Bearer和token空格拼接",
                        "name": "Authorization",
                        "in": "header",
                        "required": true
                    }
                ],
                "responses": {
                    "200": {
                        "description": "具体数据",
                        "schema": {
                            "$ref": "#/definitions/md.MemberCenterGetBasicResp"
                        }
                    },
                    "400": {
                        "description": "具体错误",
                        "schema": {
                            "$ref": "#/definitions/md.Response"
                        }
                    }
                }
            }
        },
        "/api/v1/pointsCenter/basic": {
            "get": {
                "description": "上部分基础信息(获取)",
                "consumes": [
                    "application/json"
                ],
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "积分中心"
                ],
                "summary": "蛋蛋星球-积分中心-上部分基础信息(获取)",
                "parameters": [
                    {
                        "type": "string",
                        "description": "验证参数Bearer和token空格拼接",
                        "name": "Authorization",
                        "in": "header",
                        "required": true
                    }
                ],
                "responses": {
                    "200": {
                        "description": "具体数据",
                        "schema": {
                            "$ref": "#/definitions/md.PointsCenterGetBasicResp"
                        }
                    },
                    "400": {
                        "description": "具体错误",
                        "schema": {
                            "$ref": "#/definitions/md.Response"
                        }
                    }
                }
            }
        },
        "/api/v1/pointsCenter/contributionValue": {
            "get": {
                "description": "贡献值(获取)",
                "consumes": [
                    "application/json"
                ],
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "积分中心"
                ],
                "summary": "蛋蛋星球-积分中心-贡献值(获取)",
                "parameters": [
                    {
                        "type": "string",
                        "description": "验证参数Bearer和token空格拼接",
                        "name": "Authorization",
                        "in": "header",
                        "required": true
                    }
                ],
                "responses": {
                    "200": {
                        "description": "具体数据",
                        "schema": {
                            "$ref": "#/definitions/md.GetContributionValueResp"
                        }
                    },
                    "400": {
                        "description": "具体错误",
                        "schema": {
                            "$ref": "#/definitions/md.Response"
                        }
                    }
                }
            }
        },
        "/api/v1/pointsCenter/contributionValueFlow": {
            "get": {
                "description": "贡献值明细(获取)",
                "consumes": [
                    "application/json"
                ],
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "积分中心"
                ],
                "summary": "蛋蛋星球-积分中心-贡献值明细(获取)",
                "parameters": [
                    {
                        "type": "string",
                        "description": "验证参数Bearer和token空格拼接",
                        "name": "Authorization",
                        "in": "header",
                        "required": true
                    },
                    {
                        "type": "string",
                        "description": "每页大小",
                        "name": "limit",
                        "in": "query",
                        "required": true
                    },
                    {
                        "type": "string",
                        "description": "页数",
                        "name": "page",
                        "in": "query",
                        "required": true
                    }
                ],
                "responses": {
                    "200": {
                        "description": "具体数据",
                        "schema": {
                            "$ref": "#/definitions/md.GetContributionValueFlowResp"
                        }
                    },
                    "400": {
                        "description": "具体错误",
                        "schema": {
                            "$ref": "#/definitions/md.Response"
                        }
                    }
                }
            }
        },
        "/api/v1/pointsCenter/dynamicData": {
            "get": {
                "description": "动态数据(获取)",
                "consumes": [
                    "application/json"
                ],
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "积分中心"
                ],
                "summary": "蛋蛋星球-积分中心-动态数据(获取)",
                "parameters": [
                    {
                        "type": "string",
                        "description": "验证参数Bearer和token空格拼接",
                        "name": "Authorization",
                        "in": "header",
                        "required": true
                    }
                ],
                "responses": {
                    "200": {
                        "description": "具体数据",
                        "schema": {
                            "$ref": "#/definitions/md.DynamicDataResp"
                        }
                    },
                    "400": {
                        "description": "具体错误",
                        "schema": {
                            "$ref": "#/definitions/md.Response"
                        }
                    }
                }
            }
        },
        "/api/v1/pointsCenter/energyFlow": {
            "get": {
                "description": "收支明细(获取)",
                "consumes": [
                    "application/json"
                ],
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "积分中心"
                ],
                "summary": "蛋蛋星球-积分中心-收支明细(获取)",
                "parameters": [
                    {
                        "type": "string",
                        "description": "验证参数Bearer和token空格拼接",
                        "name": "Authorization",
                        "in": "header",
                        "required": true
                    },
                    {
                        "type": "string",
                        "description": "每页大小",
                        "name": "limit",
                        "in": "query",
                        "required": true
                    },
                    {
                        "type": "string",
                        "description": "页数",
                        "name": "page",
                        "in": "query",
                        "required": true
                    },
                    {
                        "type": "string",
                        "description": "开始时间",
                        "name": "startAt",
                        "in": "query"
                    },
                    {
                        "type": "string",
                        "description": "结束时间",
                        "name": "endAt",
                        "in": "query"
                    },
                    {
                        "type": "string",
                        "description": "流水方向(1.收入 2.支出 0.全部)",
                        "name": "direction",
                        "in": "query"
                    }
                ],
                "responses": {
                    "200": {
                        "description": "具体数据",
                        "schema": {
                            "$ref": "#/definitions/md.GetEggEnergyFlowResp"
                        }
                    },
                    "400": {
                        "description": "具体错误",
                        "schema": {
                            "$ref": "#/definitions/md.Response"
                        }
                    }
                }
            }
        },
        "/api/v1/pointsCenter/exchangeEnergy": {
            "post": {
                "description": "能量兑换",
                "consumes": [
                    "application/json"
                ],
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "积分中心"
                ],
                "summary": "蛋蛋星球-积分中心-能量兑换",
                "parameters": [
                    {
                        "type": "string",
                        "description": "验证参数Bearer和token空格拼接",
                        "name": "Authorization",
                        "in": "header",
                        "required": true
                    },
                    {
                        "description": "需要兑换的能量值",
                        "name": "req",
                        "in": "body",
                        "required": true,
                        "schema": {
                            "$ref": "#/definitions/md.ExchangeEnergyReq"
                        }
                    }
                ],
                "responses": {
                    "200": {
                        "description": "success",
                        "schema": {
                            "type": "string"
                        }
                    },
                    "400": {
                        "description": "具体错误",
                        "schema": {
                            "$ref": "#/definitions/md.Response"
                        }
                    }
                }
            }
        },
        "/api/v1/pointsCenter/initialData": {
            "get": {
                "description": "初始数据(获取)",
                "consumes": [
                    "application/json"
                ],
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "积分中心"
                ],
                "summary": "蛋蛋星球-积分中心-初始数据(获取)",
                "parameters": [
                    {
                        "type": "string",
                        "description": "验证参数Bearer和token空格拼接",
                        "name": "Authorization",
                        "in": "header",
                        "required": true
                    }
                ],
                "responses": {
                    "200": {
                        "description": "具体数据",
                        "schema": {
                            "$ref": "#/definitions/md.InitialDataResp"
                        }
                    },
                    "400": {
                        "description": "具体错误",
                        "schema": {
                            "$ref": "#/definitions/md.Response"
                        }
                    }
                }
            }
        },
        "/api/v1/pointsCenter/pointsExchangeBasic": {
            "get": {
                "description": "积分兑换基础信息(获取)",
                "consumes": [
                    "application/json"
                ],
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "积分中心"
                ],
                "summary": "蛋蛋星球-积分中心-积分兑换基础信息(获取)",
                "parameters": [
                    {
                        "type": "string",
                        "description": "验证参数Bearer和token空格拼接",
                        "name": "Authorization",
                        "in": "header",
                        "required": true
                    }
                ],
                "responses": {
                    "200": {
                        "description": "具体数据",
                        "schema": {
                            "$ref": "#/definitions/md.PointsExchangeGetBasicResp"
                        }
                    },
                    "400": {
                        "description": "具体错误",
                        "schema": {
                            "$ref": "#/definitions/md.Response"
                        }
                    }
                }
            }
        },
        "/api/v1/pointsCenter/priceCurve": {
            "get": {
                "description": "价格趋势(获取)",
                "consumes": [
                    "application/json"
                ],
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "积分中心"
                ],
                "summary": "蛋蛋星球-积分中心-价格趋势(获取)",
                "parameters": [
                    {
                        "type": "string",
                        "description": "验证参数Bearer和token空格拼接",
                        "name": "Authorization",
                        "in": "header",
                        "required": true
                    },
                    {
                        "type": "string",
                        "description": "1:按天 2：按小时 3：按周",
                        "name": "kind",
                        "in": "query"
                    }
                ],
                "responses": {
                    "200": {
                        "description": "具体数据",
                        "schema": {
                            "$ref": "#/definitions/md.GetPriceCurveResp"
                        }
                    },
                    "400": {
                        "description": "具体错误",
                        "schema": {
                            "$ref": "#/definitions/md.Response"
                        }
                    }
                }
            }
        },
        "/api/v1/pointsCenter/record": {
            "get": {
                "description": "蛋蛋分明细(获取)",
                "consumes": [
                    "application/json"
                ],
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "积分中心"
                ],
                "summary": "蛋蛋星球-积分中心-蛋蛋分明细(获取)",
                "parameters": [
                    {
                        "type": "string",
                        "description": "验证参数Bearer和token空格拼接",
                        "name": "Authorization",
                        "in": "header",
                        "required": true
                    },
                    {
                        "type": "string",
                        "description": "每页大小",
                        "name": "limit",
                        "in": "query",
                        "required": true
                    },
                    {
                        "type": "string",
                        "description": "页数",
                        "name": "page",
                        "in": "query",
                        "required": true
                    }
                ],
                "responses": {
                    "200": {
                        "description": "具体数据",
                        "schema": {
                            "$ref": "#/definitions/md.GetEggPointRecordResp"
                        }
                    },
                    "400": {
                        "description": "具体错误",
                        "schema": {
                            "$ref": "#/definitions/md.Response"
                        }
                    }
                }
            }
        },
        "/api/v1/register": {
            "post": {
                "description": "注册",
                "consumes": [
                    "application/json"
                ],
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "注册"
                ],
                "summary": "注册",
                "parameters": [
                    {
                        "description": "注册参数",
                        "name": "req",
                        "in": "body",
                        "required": true,
                        "schema": {
                            "$ref": "#/definitions/md.RegisterReq"
                        }
                    }
                ],
                "responses": {
                    "200": {
                        "description": "登录成功返回",
                        "schema": {
                            "$ref": "#/definitions/md.LoginResponse"
                        }
                    },
                    "400": {
                        "description": "具体错误",
                        "schema": {
                            "$ref": "#/definitions/md.Response"
                        }
                    }
                }
            }
        },
        "/api/v1/smsSend": {
            "post": {
                "description": "发送短信",
                "consumes": [
                    "application/json"
                ],
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "发送短信"
                ],
                "summary": "发送短信",
                "parameters": [
                    {
                        "description": "注册参数",
                        "name": "req",
                        "in": "body",
                        "required": true,
                        "schema": {
                            "$ref": "#/definitions/md.SmsSendReq"
                        }
                    }
                ],
                "responses": {
                    "200": {
                        "description": "成功返回",
                        "schema": {
                            "type": "string"
                        }
                    },
                    "400": {
                        "description": "具体错误",
                        "schema": {
                            "$ref": "#/definitions/md.Response"
                        }
                    }
                }
            }
        },
        "/api/v1/test": {
            "get": {
                "description": "Demo样例测试",
                "consumes": [
                    "application/json"
                ],
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "Demo"
                ],
                "summary": "Demo测试",
                "parameters": [
                    {
                        "description": "任意参数",
                        "name": "req",
                        "in": "body",
                        "required": true,
                        "schema": {}
                    }
                ],
                "responses": {
                    "200": {
                        "description": "返回任意参数",
                        "schema": {
                            "type": "object",
                            "additionalProperties": true
                        }
                    },
                    "400": {
                        "description": "具体错误",
                        "schema": {
                            "$ref": "#/definitions/md.Response"
                        }
                    }
                }
            }
        },
        "/api/v1/userInfo": {
            "get": {
                "description": "用户信息",
                "consumes": [
                    "application/json"
                ],
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "用户信息"
                ],
                "summary": "用户信息",
                "parameters": [
                    {
                        "type": "string",
                        "description": "验证参数Bearer和token空格拼接",
                        "name": "Authorization",
                        "in": "header",
                        "required": true
                    }
                ],
                "responses": {
                    "200": {
                        "description": "具体数据",
                        "schema": {
                            "$ref": "#/definitions/md.UserInfoResp"
                        }
                    },
                    "400": {
                        "description": "具体错误",
                        "schema": {
                            "$ref": "#/definitions/md.Response"
                        }
                    }
                }
            }
        },
        "/api/v1/wallet/amountFlow": {
            "get": {
                "description": "余额明细(获取)",
                "consumes": [
                    "application/json"
                ],
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "钱包"
                ],
                "summary": "蛋蛋星球-钱包-余额明细(获取)",
                "parameters": [
                    {
                        "type": "string",
                        "description": "验证参数Bearer和token空格拼接",
                        "name": "Authorization",
                        "in": "header",
                        "required": true
                    },
                    {
                        "type": "string",
                        "description": "每页大小",
                        "name": "limit",
                        "in": "query",
                        "required": true
                    },
                    {
                        "type": "string",
                        "description": "页数",
                        "name": "page",
                        "in": "query",
                        "required": true
                    },
                    {
                        "type": "string",
                        "description": "开始时间",
                        "name": "startAt",
                        "in": "query"
                    },
                    {
                        "type": "string",
                        "description": "结束时间",
                        "name": "endAt",
                        "in": "query"
                    },
                    {
                        "type": "string",
                        "description": "流水方向(1.收入 2.支出 0.全部)",
                        "name": "direction",
                        "in": "query"
                    }
                ],
                "responses": {
                    "200": {
                        "description": "具体数据",
                        "schema": {
                            "$ref": "#/definitions/md.GetAmountFlowResp"
                        }
                    },
                    "400": {
                        "description": "具体错误",
                        "schema": {
                            "$ref": "#/definitions/md.Response"
                        }
                    }
                }
            }
        },
        "/api/v1/wallet/withdraw/index": {
            "get": {
                "description": "提现余额(获取)",
                "consumes": [
                    "application/json"
                ],
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "钱包"
                ],
                "summary": "蛋蛋星球-钱包-提现余额(获取)",
                "parameters": [
                    {
                        "type": "string",
                        "description": "验证参数Bearer和token空格拼接",
                        "name": "Authorization",
                        "in": "header",
                        "required": true
                    }
                ],
                "responses": {
                    "200": {
                        "description": "具体数据",
                        "schema": {
                            "$ref": "#/definitions/md.WithdrawGetAmountResp"
                        }
                    },
                    "400": {
                        "description": "具体错误",
                        "schema": {
                            "$ref": "#/definitions/md.Response"
                        }
                    }
                }
            }
        },
        "/api/v1/wechatLogin": {
            "post": {
                "description": "微信登陆",
                "consumes": [
                    "application/json"
                ],
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "微信登陆"
                ],
                "summary": "微信登陆",
                "parameters": [
                    {
                        "description": "注册参数",
                        "name": "req",
                        "in": "body",
                        "required": true,
                        "schema": {
                            "$ref": "#/definitions/md.WechatLoginReq"
                        }
                    }
                ],
                "responses": {
                    "200": {
                        "description": "登录成功返回",
                        "schema": {
                            "$ref": "#/definitions/md.LoginResponse"
                        }
                    },
                    "400": {
                        "description": "具体错误",
                        "schema": {
                            "$ref": "#/definitions/md.Response"
                        }
                    }
                }
            }
        }
    },
    "definitions": {
        "applet_app_md.Paginate": {
            "type": "object",
            "properties": {
                "limit": {
                    "description": "每页大小",
                    "type": "integer"
                },
                "page": {
                    "description": "页数",
                    "type": "integer"
                },
                "total": {
                    "description": "总数据量",
                    "type": "integer"
                }
            }
        },
        "comm.AccessRecordsReq": {
            "type": "object",
            "properties": {
                "index": {
                    "description": "页面标签",
                    "type": "string"
                }
            }
        },
        "md.AdvertisingBasic": {
            "type": "object",
            "properties": {
                "android_ad_is_open": {
                    "type": "string",
                    "example": "安卓广告是否开启(1:开启 0:不开启)"
                },
                "android_open_ad_is_open": {
                    "type": "string",
                    "example": "安卓开屏广告是否开启(1:开启 0:不开启)"
                },
                "info": {
                    "type": "object",
                    "additionalProperties": true
                },
                "ios_ad_is_open": {
                    "type": "string",
                    "example": "ios广告是否开启(1:开启 0:不开启)"
                },
                "ios_open_ad_is_open": {
                    "type": "string",
                    "example": "ios开屏广告是否开启(1:开启 0:不开启)"
                },
                "voice": {
                    "type": "string",
                    "example": "领取声音"
                }
            }
        },
        "md.AdvertisingFunction": {
            "type": "object",
            "properties": {
                "ad_id": {
                    "type": "string",
                    "example": "广告id"
                },
                "name": {
                    "type": "string",
                    "example": "名称"
                },
                "type": {
                    "type": "string",
                    "example": "位置"
                }
            }
        },
        "md.AdvertisingLimit": {
            "type": "object",
            "properties": {
                "public_img": {
                    "type": "string",
                    "example": "公共弹窗图"
                },
                "public_str": {
                    "type": "string",
                    "example": "公共弹窗文字"
                },
                "withdraw_img": {
                    "type": "string",
                    "example": "提现弹窗图"
                },
                "withdraw_str": {
                    "type": "string",
                    "example": "提现弹窗文字"
                }
            }
        },
        "md.AdvertisingReq": {
            "type": "object",
            "properties": {
                "id": {
                    "type": "string"
                }
            }
        },
        "md.AdvertisingResp": {
            "type": "object",
            "properties": {
                "basic": {
                    "$ref": "#/definitions/md.AdvertisingBasic"
                },
                "function": {
                    "type": "array",
                    "items": {
                        "$ref": "#/definitions/md.AdvertisingFunction"
                    }
                },
                "pop": {
                    "$ref": "#/definitions/md.AdvertisingLimit"
                },
                "space": {
                    "type": "array",
                    "items": {
                        "$ref": "#/definitions/md.AdvertisingSpace"
                    }
                }
            }
        },
        "md.AdvertisingSpace": {
            "type": "object",
            "properties": {
                "counting_down": {
                    "type": "string",
                    "example": "倒计时 x秒"
                },
                "id": {
                    "type": "string",
                    "example": "id"
                },
                "info": {
                    "type": "object",
                    "additionalProperties": true
                },
                "kind": {
                    "type": "string",
                    "example": "广告类型(1:开屏广告 2:插屏广告 3:激励视频 4:信息流广告)"
                },
                "name": {
                    "type": "string",
                    "example": "名称"
                }
            }
        },
        "md.BasalRateResp": {
            "type": "object",
            "properties": {
                "basal_rate": {
                    "description": "基础速率",
                    "type": "string"
                },
                "consumed_egg_energy": {
                    "description": "收益蛋蛋能量",
                    "type": "string"
                },
                "consumed_egg_point": {
                    "description": "消耗蛋蛋积分",
                    "type": "string"
                },
                "consumed_time": {
                    "description": "消耗时间/小时",
                    "type": "string"
                },
                "estimated_revenue": {
                    "description": "预估收益蛋蛋能量",
                    "type": "string"
                },
                "remaining_egg_energy": {
                    "description": "剩余蛋蛋能量",
                    "type": "string"
                },
                "remaining_time": {
                    "description": "剩余时间/小时",
                    "type": "string"
                },
                "sign_countdown": {
                    "description": "收益倒计时",
                    "type": "string"
                }
            }
        },
        "md.ConfigResp": {
            "type": "object",
            "properties": {
                "content": {
                    "type": "string",
                    "example": "软件使用协议内容"
                },
                "privacy_title": {
                    "type": "string",
                    "example": "隐私协议标题"
                },
                "privacy_url": {
                    "type": "string",
                    "example": "隐私协议链接"
                },
                "title": {
                    "type": "string",
                    "example": "软件使用协议标题"
                },
                "user_title": {
                    "type": "string",
                    "example": "用户协议标题"
                },
                "user_url": {
                    "type": "string",
                    "example": "用户协议链接"
                }
            }
        },
        "md.ContributionValueFlowNode": {
            "type": "object",
            "properties": {
                "amount": {
                    "description": "变更数量",
                    "type": "string"
                },
                "create_at": {
                    "description": "完成时间",
                    "type": "string"
                },
                "direction": {
                    "description": "方向： 1.收入 2.支出",
                    "type": "string"
                },
                "title": {
                    "description": "标题",
                    "type": "string"
                }
            }
        },
        "md.DynamicDataResp": {
            "type": "object",
            "properties": {
                "development_committee": {
                    "description": "发展委员会",
                    "type": "string"
                },
                "public_welfare_and_charity": {
                    "description": "公益基金",
                    "type": "string"
                },
                "star_level_dividends": {
                    "description": "星级分红",
                    "type": "string"
                },
                "user_total_hold": {
                    "description": "用户持有总量",
                    "type": "string"
                }
            }
        },
        "md.EggEnergyDetailReq": {
            "type": "object",
            "properties": {
                "asc": {
                    "description": "1.升序 2.倒序",
                    "type": "string"
                },
                "direction": {
                    "description": "类型 1.收入 2.支出 全部则传空",
                    "type": "string"
                },
                "kind": {
                    "description": "类型：1. 个人蛋蛋能量 2.团队蛋蛋能量",
                    "type": "string"
                },
                "limit": {
                    "description": "每页大小",
                    "type": "integer"
                },
                "page": {
                    "description": "页数",
                    "type": "integer"
                },
                "type": {
                    "description": "变动类型 全部则传空",
                    "type": "string"
                }
            }
        },
        "md.EggEnergyDetailResp": {
            "type": "object",
            "properties": {
                "list": {
                    "description": "流水数据",
                    "type": "array",
                    "items": {
                        "type": "object",
                        "additionalProperties": {
                            "type": "string"
                        }
                    }
                },
                "paginate": {
                    "description": "分页信息",
                    "allOf": [
                        {
                            "$ref": "#/definitions/applet_app_md.Paginate"
                        }
                    ]
                },
                "person_egg_energy": {
                    "description": "个人蛋蛋能量",
                    "type": "string"
                },
                "team_egg_energy": {
                    "description": "团队蛋蛋能量",
                    "type": "string"
                },
                "total_egg_energy": {
                    "description": "总蛋蛋能量",
                    "type": "string"
                },
                "total_egg_energy_price": {
                    "description": "蛋蛋能量总价",
                    "type": "string"
                },
                "transfer_type_list": {
                    "description": "转账类型列表",
                    "allOf": [
                        {
                            "$ref": "#/definitions/md.TransferTypeList"
                        }
                    ]
                }
            }
        },
        "md.EggEnergyFlowNode": {
            "type": "object",
            "properties": {
                "after_amount": {
                    "description": "变更后数量",
                    "type": "string"
                },
                "amount": {
                    "description": "变更数量",
                    "type": "string"
                },
                "before_amount": {
                    "description": "变更前数量",
                    "type": "string"
                },
                "coin_name": {
                    "description": "虚拟币名称",
                    "type": "string"
                },
                "create_at": {
                    "description": "创建时间",
                    "type": "string"
                },
                "direction": {
                    "description": "方向:1.收入 2.支出",
                    "type": "integer"
                },
                "id": {
                    "type": "integer"
                },
                "sys_fee": {
                    "description": "手续费",
                    "type": "string"
                },
                "title": {
                    "description": "标题",
                    "type": "string"
                },
                "transfer_type": {
                    "description": "转账类型",
                    "type": "string"
                }
            }
        },
        "md.EggPointDetailsReq": {
            "type": "object",
            "properties": {
                "asc": {
                    "description": "1.升序 2.倒序",
                    "type": "string"
                },
                "direction": {
                    "description": "类型 1.收入 2.支出 全部则传空",
                    "type": "string"
                },
                "kind": {
                    "description": "类型：1. 个人蛋蛋积分 2.团队蛋蛋积分",
                    "type": "string"
                },
                "limit": {
                    "description": "每页大小",
                    "type": "integer"
                },
                "page": {
                    "description": "页数",
                    "type": "integer"
                },
                "type": {
                    "description": "变动类型 全部则传空",
                    "type": "string"
                }
            }
        },
        "md.EggPointDetailsResp": {
            "type": "object",
            "properties": {
                "list": {
                    "description": "流水数据",
                    "type": "array",
                    "items": {
                        "type": "object",
                        "additionalProperties": {
                            "type": "string"
                        }
                    }
                },
                "paginate": {
                    "description": "分页信息",
                    "allOf": [
                        {
                            "$ref": "#/definitions/applet_app_md.Paginate"
                        }
                    ]
                },
                "person_egg_points": {
                    "description": "个人蛋蛋积分",
                    "type": "string"
                },
                "team_egg_points": {
                    "description": "团队蛋蛋积分",
                    "type": "string"
                },
                "total_egg_points": {
                    "description": "总蛋蛋积分",
                    "type": "string"
                },
                "total_egg_points_amount": {
                    "description": "蛋蛋积分余额",
                    "type": "string"
                },
                "transfer_type_list": {
                    "description": "转账类型列表",
                    "allOf": [
                        {
                            "$ref": "#/definitions/md.TransferTypeList"
                        }
                    ]
                }
            }
        },
        "md.EggPointRecordNode": {
            "type": "object",
            "properties": {
                "end_at": {
                    "description": "结束时间",
                    "type": "string"
                },
                "score": {
                    "description": "分数",
                    "type": "string"
                },
                "start_at": {
                    "description": "开始时间",
                    "type": "string"
                },
                "week": {
                    "description": "周数",
                    "type": "string"
                },
                "year": {
                    "description": "年份",
                    "type": "string"
                }
            }
        },
        "md.ExchangeEnergyReq": {
            "type": "object",
            "properties": {
                "energy_amount": {
                    "description": "兑换能量数值",
                    "type": "string"
                }
            }
        },
        "md.FastLoginReq": {
            "type": "object",
            "properties": {
                "invite_code": {
                    "type": "string",
                    "example": "邀请码"
                },
                "token": {
                    "type": "string",
                    "example": "一键登录的token"
                }
            }
        },
        "md.FindPasswordReq": {
            "type": "object",
            "required": [
                "mobile"
            ],
            "properties": {
                "code": {
                    "type": "string",
                    "example": "验证码"
                },
                "mobile": {
                    "type": "string"
                },
                "password": {
                    "type": "string",
                    "example": "密码 如 123"
                }
            }
        },
        "md.GetAmountFlowResp": {
            "type": "object",
            "properties": {
                "list": {
                    "type": "array",
                    "items": {
                        "$ref": "#/definitions/md.WalletFlowNode"
                    }
                },
                "paginate": {
                    "$ref": "#/definitions/applet_app_md.Paginate"
                }
            }
        },
        "md.GetContributionValueFlowResp": {
            "type": "object",
            "properties": {
                "list": {
                    "type": "array",
                    "items": {
                        "$ref": "#/definitions/md.ContributionValueFlowNode"
                    }
                },
                "paginate": {
                    "$ref": "#/definitions/applet_app_md.Paginate"
                }
            }
        },
        "md.GetContributionValueResp": {
            "type": "object",
            "properties": {
                "contribution_value": {
                    "description": "贡献值",
                    "type": "string"
                },
                "ratio": {
                    "description": "兑换比率(x 分兑换 1 人民币)",
                    "type": "string"
                }
            }
        },
        "md.GetEggEnergyFlowResp": {
            "type": "object",
            "properties": {
                "list": {
                    "type": "array",
                    "items": {
                        "$ref": "#/definitions/md.EggEnergyFlowNode"
                    }
                },
                "paginate": {
                    "$ref": "#/definitions/applet_app_md.Paginate"
                }
            }
        },
        "md.GetEggPointRecordResp": {
            "type": "object",
            "properties": {
                "list": {
                    "description": "分数明细列表",
                    "type": "array",
                    "items": {
                        "$ref": "#/definitions/md.EggPointRecordNode"
                    }
                },
                "now_score": {
                    "description": "当前分数",
                    "type": "string"
                },
                "paginate": {
                    "$ref": "#/definitions/applet_app_md.Paginate"
                }
            }
        },
        "md.GetPriceCurveResp": {
            "type": "object",
            "properties": {
                "x_data": {
                    "type": "array",
                    "items": {}
                },
                "y_data": {
                    "type": "array",
                    "items": {}
                }
            }
        },
        "md.GrabRedPackageReq": {
            "type": "object",
            "properties": {
                "device_id": {
                    "description": "设备id",
                    "type": "string"
                },
                "receiver_id": {
                    "description": "用户id或者群组id",
                    "type": "integer"
                },
                "receiver_type": {
                    "description": "接收者类型，1：user;2:group",
                    "type": "integer"
                },
                "red_package_cover": {
                    "description": "红包封面",
                    "type": "string"
                },
                "red_package_id": {
                    "description": "红包id",
                    "type": "integer"
                },
                "send_red_package_user_nike_name": {
                    "description": "红包发送者-im用户昵称",
                    "type": "string"
                },
                "send_red_packet_avatar_url": {
                    "description": "红包发送者-im用户头像",
                    "type": "string"
                },
                "send_time": {
                    "description": "消息发送时间戳，精确到毫秒",
                    "type": "integer"
                },
                "token": {
                    "description": "im-token",
                    "type": "string"
                },
                "user_id": {
                    "description": "im用户id",
                    "type": "string"
                }
            }
        },
        "md.GrabRedPackageResp": {
            "type": "object",
            "properties": {
                "grab_amount": {
                    "description": "抢到的红包金额",
                    "type": "string"
                },
                "im": {
                    "description": "im 返回体",
                    "allOf": [
                        {
                            "$ref": "#/definitions/pb.SendRedPacketResp"
                        }
                    ]
                }
            }
        },
        "md.HomePageResp": {
            "type": "object",
            "properties": {
                "egg_energy_now_price": {
                    "description": "蛋蛋能量当前价格",
                    "type": "string"
                },
                "initial_price": {
                    "description": "蛋蛋能量初始价格",
                    "type": "string"
                },
                "is_rises": {
                    "description": "是否涨价",
                    "type": "boolean"
                },
                "is_sign": {
                    "description": "是否开始签到",
                    "type": "boolean"
                },
                "nick_name": {
                    "description": "用户名称",
                    "type": "string"
                },
                "now_basal_rate": {
                    "description": "当前基础速率/小时",
                    "type": "string"
                },
                "now_team_rate": {
                    "description": "当前团队速率/小时",
                    "type": "string"
                },
                "rises": {
                    "description": "涨/跌价百分比",
                    "type": "string"
                },
                "sign_end_time": {
                    "description": "签到截止时间",
                    "type": "string"
                },
                "total_active_points": {
                    "description": "总蛋蛋积分",
                    "type": "string"
                },
                "total_egg_energy": {
                    "description": "总蛋蛋能量",
                    "type": "string"
                },
                "user_count": {
                    "description": "当前用户数量",
                    "type": "integer"
                }
            }
        },
        "md.HomePageWatchAdRuleResp": {
            "type": "object",
            "properties": {
                "each_round_hour": {
                    "description": "每一轮X个小时",
                    "type": "string"
                },
                "interval_minutes": {
                    "description": "间隔X秒",
                    "type": "string"
                },
                "reward_total_num": {
                    "description": "一共X个奖励视屏",
                    "type": "string"
                },
                "reward_value": {
                    "description": "奖励X个活跃积分",
                    "type": "string"
                }
            }
        },
        "md.InitialDataResp": {
            "type": "object",
            "properties": {
                "initial_price": {
                    "description": "初始价格",
                    "type": "string"
                },
                "total_angel_investor": {
                    "description": "天使投资人",
                    "type": "string"
                },
                "total_ecological_development": {
                    "description": "生态建设",
                    "type": "string"
                },
                "total_issuance_amount": {
                    "description": "总发行量",
                    "type": "string"
                },
                "total_operate_fund": {
                    "description": "运营资金",
                    "type": "string"
                },
                "total_technology_team": {
                    "description": "技术团队",
                    "type": "string"
                }
            }
        },
        "md.IntegralList": {
            "type": "object",
            "properties": {
                "expend_list": {
                    "description": "支出类型列表",
                    "type": "array",
                    "items": {
                        "$ref": "#/definitions/md.TransferTypeNode"
                    }
                },
                "income_list": {
                    "description": "收入类型列表",
                    "type": "array",
                    "items": {
                        "$ref": "#/definitions/md.TransferTypeNode"
                    }
                }
            }
        },
        "md.IsCanGetRedPackageResp": {
            "type": "object",
            "properties": {
                "is_can_get_red_package": {
                    "type": "boolean"
                }
            }
        },
        "md.IsCanSignInResp": {
            "type": "object",
            "properties": {
                "is_can_sign_in": {
                    "type": "boolean"
                }
            }
        },
        "md.LoginReq": {
            "type": "object",
            "required": [
                "password",
                "phone"
            ],
            "properties": {
                "code": {
                    "type": "string",
                    "example": "验证码"
                },
                "password": {
                    "type": "string",
                    "example": "登录密码"
                },
                "phone": {
                    "type": "string",
                    "example": "手机号"
                }
            }
        },
        "md.LoginResponse": {
            "type": "object",
            "properties": {
                "token": {
                    "type": "string"
                }
            }
        },
        "md.MemberCenterGetBasicResp": {
            "type": "object",
            "properties": {
                "active_num": {
                    "description": "活跃值",
                    "type": "string"
                },
                "amount": {
                    "description": "账户余额",
                    "type": "string"
                },
                "contribution_value": {
                    "description": "贡献值",
                    "type": "string"
                },
                "date": {
                    "description": "兑换时间(每月x日)",
                    "type": "string"
                },
                "egg_energy": {
                    "description": "能量值",
                    "type": "string"
                },
                "egg_energy_value": {
                    "description": "能量预估价值",
                    "type": "string"
                },
                "egg_score": {
                    "description": "蛋蛋分",
                    "type": "string"
                },
                "level_name": {
                    "description": "会员等级名称",
                    "type": "string"
                },
                "nickname": {
                    "description": "会员名称",
                    "type": "string"
                },
                "ratio": {
                    "description": "兑换比例(x:y)",
                    "type": "string"
                }
            }
        },
        "md.MyFansResp": {
            "type": "object",
            "properties": {
                "now_team_assistance_num": {
                    "description": "团队助力人数",
                    "type": "integer"
                },
                "now_team_assistance_reward": {
                    "description": "团队助力收益",
                    "type": "string"
                },
                "now_team_user": {
                    "description": "团队人数",
                    "type": "integer"
                }
            }
        },
        "md.MyFansUserListResp": {
            "type": "object",
            "properties": {
                "list": {
                    "type": "array",
                    "items": {
                        "$ref": "#/definitions/md.OneLineUserNode"
                    }
                }
            }
        },
        "md.NineDimensionalSpaceResp": {
            "type": "object",
            "properties": {
                "a_lot_of_nums": {
                    "description": "全网至多用户数",
                    "type": "string"
                },
                "day_num": {
                    "description": "连续x天不活跃",
                    "type": "string"
                },
                "rows": {
                    "description": "行数",
                    "type": "string"
                },
                "space_list": {
                    "description": "数据列表",
                    "type": "array",
                    "items": {
                        "$ref": "#/definitions/md.SpaceListNode"
                    }
                },
                "space_nums": {
                    "description": "空间人数",
                    "type": "string"
                },
                "space_total_nums": {
                    "description": "空间总数",
                    "type": "string"
                },
                "times": {
                    "description": "排数",
                    "type": "string"
                }
            }
        },
        "md.OneLineUserNode": {
            "type": "object",
            "properties": {
                "avatar_url": {
                    "type": "string"
                },
                "invite_time": {
                    "type": "string"
                },
                "is_online": {
                    "type": "boolean"
                },
                "nickname": {
                    "type": "string"
                }
            }
        },
        "md.PointsCenterGetBasicResp": {
            "type": "object",
            "properties": {
                "egg_point": {
                    "description": "能量积分",
                    "type": "string"
                },
                "egg_point_amount": {
                    "description": "能量积分价值",
                    "type": "string"
                },
                "energy": {
                    "description": "蛋蛋能量值",
                    "type": "string"
                },
                "energy_amount": {
                    "description": "能量价值",
                    "type": "string"
                },
                "wallet_amount": {
                    "description": "账户余额",
                    "type": "string"
                }
            }
        },
        "md.PointsExchangeGetBasicResp": {
            "type": "object",
            "properties": {
                "available_cash": {
                    "description": "可用现金",
                    "type": "string"
                },
                "available_energy": {
                    "description": "可用能量",
                    "type": "string"
                }
            }
        },
        "md.RealTimePriceResp": {
            "type": "object",
            "properties": {
                "is_rises": {
                    "type": "boolean"
                },
                "now_price": {
                    "type": "string"
                },
                "rises": {
                    "type": "string"
                },
                "user_count": {
                    "type": "string"
                }
            }
        },
        "md.RedPackageDetailResp": {
            "type": "object",
            "properties": {
                "detail": {
                    "description": "红包详情信息",
                    "allOf": [
                        {
                            "$ref": "#/definitions/model.ImSendRedPackageOrd"
                        }
                    ]
                },
                "list": {
                    "description": "领取红包用户列表",
                    "type": "array",
                    "items": {
                        "$ref": "#/definitions/md.RedPackageDetailUserNode"
                    }
                }
            }
        },
        "md.RedPackageDetailUserNode": {
            "type": "object",
            "properties": {
                "amount": {
                    "description": "金额",
                    "type": "string"
                },
                "im_user_id": {
                    "description": "im用户id",
                    "type": "string"
                },
                "received_at": {
                    "description": "领取时间",
                    "type": "string"
                },
                "user_avatar_url": {
                    "description": "im用户昵称",
                    "type": "string"
                },
                "user_nick_name": {
                    "description": "im用户昵称",
                    "type": "string"
                }
            }
        },
        "md.RegisterReq": {
            "type": "object",
            "required": [
                "mobile"
            ],
            "properties": {
                "avatar": {
                    "type": "string",
                    "example": "头像"
                },
                "code": {
                    "type": "string",
                    "example": "验证码"
                },
                "invite_code": {
                    "type": "string",
                    "example": "邀请码"
                },
                "mobile": {
                    "type": "string"
                },
                "nickname": {
                    "type": "string",
                    "example": "昵称"
                },
                "open_id": {
                    "type": "string",
                    "example": "微信openId"
                },
                "password": {
                    "type": "string",
                    "example": "密码 如 123"
                },
                "sex": {
                    "description": "性别(0:未知 1:男 2:女)",
                    "type": "integer"
                },
                "type": {
                    "type": "string",
                    "example": "app:APP注册、h5:H5注册"
                },
                "union_id": {
                    "type": "string",
                    "example": "微信UnionId"
                }
            }
        },
        "md.Response": {
            "type": "object",
            "properties": {
                "code": {
                    "type": "string",
                    "example": "响应码"
                },
                "data": {
                    "description": "内容"
                },
                "msg": {
                    "type": "string",
                    "example": "具体错误原因"
                }
            }
        },
        "md.SendRedPackageDetailReq": {
            "type": "object",
            "properties": {
                "order_id": {
                    "description": "红包的订单 ID",
                    "type": "string"
                }
            }
        },
        "md.SendRedPackageDetailResp": {
            "type": "object",
            "properties": {
                "im": {
                    "$ref": "#/definitions/md.SeqType"
                },
                "red_package_id": {
                    "description": "红包 ID",
                    "type": "integer"
                }
            }
        },
        "md.SeqType": {
            "type": "object",
            "properties": {
                "seq": {
                    "description": "序列号",
                    "type": "integer"
                }
            }
        },
        "md.SmsSendReq": {
            "type": "object",
            "required": [
                "mobile"
            ],
            "properties": {
                "captcha_output": {
                    "type": "string",
                    "example": "阿里云图形验证码对应参数"
                },
                "gen_time": {
                    "type": "string",
                    "example": "阿里云图形验证码对应参数"
                },
                "lot_number": {
                    "type": "string",
                    "example": "阿里云图形验证码对应参数"
                },
                "mobile": {
                    "type": "string"
                },
                "pass_token": {
                    "type": "string",
                    "example": "阿里云图形验证码对应参数"
                },
                "type": {
                    "type": "string",
                    "example": "h5Register:h5注册页、wechatBindPhone:微信绑定手机、login:登陆、findPwd:找回密码、changePwd:修改密码"
                }
            }
        },
        "md.SpaceListNode": {
            "type": "object",
            "properties": {
                "max_count": {
                    "description": "最大容纳人数",
                    "type": "string"
                },
                "name": {
                    "description": "维度",
                    "type": "string"
                },
                "now_count": {
                    "description": "当前人数",
                    "type": "string"
                }
            }
        },
        "md.TotalRateResp": {
            "type": "object",
            "properties": {
                "consumed_personal_egg_point": {
                    "description": "消耗个人蛋蛋积分",
                    "type": "string"
                },
                "consumed_team_egg_point": {
                    "description": "消耗团队蛋蛋积分",
                    "type": "string"
                },
                "now_basal_rate": {
                    "description": "当前基础速率/小时",
                    "type": "string"
                },
                "now_team_rate": {
                    "description": "当前团队速率/小时",
                    "type": "string"
                },
                "now_total_rate": {
                    "description": "总速率/小时",
                    "type": "string"
                }
            }
        },
        "md.TransferTypeList": {
            "type": "object",
            "properties": {
                "TeamTransferTypeList": {
                    "description": "团队积分变动列表",
                    "allOf": [
                        {
                            "$ref": "#/definitions/md.IntegralList"
                        }
                    ]
                },
                "personal_transfer_type_list": {
                    "description": "个人积分变动列表",
                    "allOf": [
                        {
                            "$ref": "#/definitions/md.IntegralList"
                        }
                    ]
                }
            }
        },
        "md.TransferTypeNode": {
            "type": "object",
            "properties": {
                "name": {
                    "type": "string"
                },
                "value": {
                    "type": "string"
                }
            }
        },
        "md.UserInfoResp": {
            "type": "object",
            "properties": {
                "head_img": {
                    "type": "string"
                },
                "id": {
                    "type": "string"
                },
                "invite_code": {
                    "type": "string"
                },
                "is_bind_extend": {
                    "type": "string",
                    "example": "是否绑定了上级 0否 1是"
                },
                "nickname": {
                    "type": "string"
                },
                "phone": {
                    "type": "string"
                }
            }
        },
        "md.WalletFlowNode": {
            "type": "object",
            "properties": {
                "after_amount": {
                    "description": "变动后金额",
                    "type": "string"
                },
                "amount": {
                    "description": "变动金额",
                    "type": "string"
                },
                "before_amount": {
                    "description": "变动前金额",
                    "type": "string"
                },
                "create_time": {
                    "description": "创建时间",
                    "type": "string"
                },
                "direction": {
                    "description": "方向:1.收入 2.支出",
                    "type": "integer"
                },
                "id": {
                    "type": "integer"
                },
                "kind": {
                    "description": "1:管理员操作增加余额 2:管理员操作扣除余额 3:蛋蛋能量兑换余额 4:余额兑换蛋蛋能量",
                    "type": "integer"
                },
                "memo": {
                    "description": "备注",
                    "type": "string"
                },
                "ord_id": {
                    "description": "对应订单编号",
                    "type": "string"
                },
                "state": {
                    "description": "1未到账,2已到账",
                    "type": "integer"
                },
                "sys_fee": {
                    "description": "手续费",
                    "type": "string"
                },
                "title": {
                    "description": "标题",
                    "type": "string"
                },
                "uid": {
                    "description": "用户 ID",
                    "type": "integer"
                },
                "update_time": {
                    "description": "更新时间",
                    "type": "string"
                }
            }
        },
        "md.WechatLoginReq": {
            "type": "object",
            "properties": {
                "avatar": {
                    "type": "string",
                    "example": "头像"
                },
                "nickname": {
                    "type": "string",
                    "example": "昵称"
                },
                "open_id": {
                    "type": "string",
                    "example": "微信openId"
                },
                "union_id": {
                    "type": "string",
                    "example": "微信UnionId"
                }
            }
        },
        "md.WithdrawGetAmountResp": {
            "type": "object",
            "properties": {
                "amount": {
                    "description": "余额",
                    "type": "string"
                }
            }
        },
        "model.ImSendRedPackageOrd": {
            "type": "object",
            "properties": {
                "amount": {
                    "type": "string"
                },
                "create_time": {
                    "type": "string"
                },
                "id": {
                    "type": "integer"
                },
                "im_data": {
                    "type": "string"
                },
                "im_uid": {
                    "type": "integer"
                },
                "ord_no": {
                    "type": "string"
                },
                "received_im_user_ids": {
                    "type": "string"
                },
                "received_times": {
                    "type": "string"
                },
                "received_user_amount": {
                    "type": "string"
                },
                "received_user_ids": {
                    "type": "string"
                },
                "red_packet_balance_amount": {
                    "type": "string"
                },
                "red_packet_balance_nums": {
                    "type": "integer"
                },
                "red_packet_nums": {
                    "type": "integer"
                },
                "red_packet_type": {
                    "type": "integer"
                },
                "state": {
                    "type": "integer"
                },
                "uid": {
                    "type": "integer"
                },
                "update_time": {
                    "type": "string"
                },
                "wait_draw_im_user_ids": {
                    "type": "string"
                },
                "wait_draw_user_ids": {
                    "type": "string"
                }
            }
        },
        "pb.SendRedPacketResp": {
            "type": "object",
            "properties": {
                "seq": {
                    "description": "消息序列号",
                    "type": "integer"
                }
            }
        }
    }
}`

// SwaggerInfo holds exported Swagger Info so clients can modify it
var SwaggerInfo = &swag.Spec{
	Version:          "1.0",
	Host:             "ddxq.izhim.com",
	BasePath:         "/api/v1",
	Schemes:          []string{},
	Title:            "蛋蛋星球-APP客户端",
	Description:      "APP客户端-Api接口",
	InfoInstanceName: "swagger",
	SwaggerTemplate:  docTemplate,
	LeftDelim:        "{{",
	RightDelim:       "}}",
}

func init() {
	swag.Register(SwaggerInfo.InstanceName(), SwaggerInfo)
}
